Package org.opensaml.xmlsec.impl

# Class StaticEncryptionParametersResolver

java.lang.Object
org.opensaml.xmlsec.impl.StaticEncryptionParametersResolver

All Implemented Interfaces:
  `Resolver<EncryptionParameters,CriteriaSet>`, `EncryptionParametersResolver`

public class StaticEncryptionParametersResolver extends Object implements EncryptionParametersResolver
Resolve an instance of `EncryptionParameters` statically.

## Field Summary

Fields
Modifier and Type
Field
Description
`private EncryptionParameters`
`params`
Static parameters.

## Constructor Summary

Constructors
Constructor
Description
`StaticEncryptionParametersResolver(EncryptionParameters parameters)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Iterable<EncryptionParameters>`
`resolve(CriteriaSet criteria)`
`EncryptionParameters`
`resolveSingle(CriteriaSet criteria)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### params

@Nonnull private EncryptionParameters params
Static parameters.

## Constructor Details

### StaticEncryptionParametersResolver

public StaticEncryptionParametersResolver(@Nonnull EncryptionParameters parameters)
Constructor.

Parameters:
  `parameters` - the static parameters instance to return

## Method Details

### resolve

@Nonnull public Iterable<EncryptionParameters> resolve(@Nullable CriteriaSet criteria) throws ResolverException

Specified by:
  `resolve` in interface `Resolver<EncryptionParameters,CriteriaSet>`
Throws:
  `ResolverException`

### resolveSingle

@Nullable public EncryptionParameters resolveSingle(@Nullable CriteriaSet criteria) throws ResolverException

Specified by:
  `resolveSingle` in interface `Resolver<EncryptionParameters,CriteriaSet>`
Throws:
  `ResolverException`